: INSTALL.BAT                                                 June 1, 1991
:                                                                Al Keuter
: Revised: June 3, 1991
:-------------------------------------------------------------------------------
: Installs BUFFER STUFFER files.  See README. for details.

ECHO OFF
CLS
IF "%1==" GOTO nocommand
IF "%2==" GOTO nocommand
IF "%3==" GOTO nocommand

IF NOT EXIST %1\NUL GOTO badhole
IF NOT EXIST %2\NUL GOTO badhole
IF NOT EXIST %3\NUL GOTO badhole

IF NOT EXIST CHKFILES.EXE GOTO wrongdisk
IF NOT EXIST BIGBUFF.BIN GOTO wrongdisk
IF NOT EXIST BIGBUFF.DOC GOTO wrongdisk
IF NOT EXIST PASSKEYS.COM GOTO wrongdisk
IF NOT EXIST PASSKEYS.DOC GOTO wrongdisk
IF NOT EXIST CONFIG.HRD GOTO wrongdisk
IF NOT EXIST CONFIG.FLP GOTO wrongdisk
IF NOT EXIST BBCTRL.EXE GOTO share
IF NOT EXIST BBCTRL.DOC GOTO wrongdisk
IF NOT EXIST AUTOEXEC.HRD GOTO wrongdisk
IF NOT EXIST AUTOEXEC.FLP GOTO wrongdisk
IF NOT EXIST BBIOCTL.DOC GOTO wrongdisk

:share
FOR %%d IN (a:,A:,c:,C:) DO IF %%d==%2 GOTO bootOK
GOTO notboot

:bootOK
ECHO 
ECHO   This installation program will perform the following operations:
ECHO 
ECHO   (1) PASSKEYS.COM and BIGBUFF.BIN will be copied into the root directory
ECHO       of drive %2. (Registered packages only: BBCTRL.EXE will also be
ECHO       copied into the root directory of drive %2.)
ECHO   (2) The rest of the files on this diskette will be copied into the
ECHO       program directory %3.
ECHO   (3) The following file(s) will be copied into the root directory of
ECHO       %2 as *.OLD (if they are detected):
ECHO                CONFIG.SYS     (Shareware and Registered packages)
ECHO                AUTOEXEC.BAT   (Registered packages only)
ECHO   (4) The following command will be added as the first line of your
ECHO       CONFIG.SYS file:      DEVICE=[boot drive:]\BIGBUFF.BIN
ECHO   (5) (Registered packages only) The following commands will be added as
ECHO       the first three lines of your AUTOEXEC.BAT file:
ECHO                      PATH=[boot drive:]\
ECHO                      PROMPT $p$g$_
ECHO                      [boot drive:]\BBCTRL info
ECHO   If ANY of these steps are NOT acceptable to you, do NOT proceed with the
ECHO   "QUICK START" installation: press the keys CTRL-BREAK, press ENTER,
ECHO   and then press the "Y" key when DOS asks: "Terminate batch job (Y/N)?"
ECHO 
ECHO   Otherwise, press any key to continue . . .
PAUSE > NUL

CLS
ECHO The BUFFER STUFFERS                                   Installation Program
ECHO 
ECHO Copying BIGBUFF.BIN to %2\ . . .
COPY BIGBUFF.BIN %2\ > NUL
ECHO Copying PASSKEYS.COM to %2\ . . .
COPY PASSKEYS.COM %2\ > NUL

IF NOT EXIST %2\CONFIG.SYS GOTO noconfig1
CHKFILES C %2
IF NOT ERRORLEVEL 10 GOTO nextClevel
COPY %2\CONFIG.SYS %2\CONFIG.OLD > NUL
GOTO noconfig1

:nextClevel
IF NOT ERRORLEVEL 9 GOTO noconfig1
ECHO Configuration file %2\CONFIG.SYS already contains
ECHO   command "DEVICE=BIGBUFF.BIN" . . . file not changed . . .
GOTO endscopy

:noconfig1
FOR %%e IN (c:,C:) DO IF %%e==%2 GOTO hardsboot

ECHO Copying CONFIG.SYS to %2\ . . .
IF NOT EXIST %2\CONFIG.SYS GOTO noconfig2f
COPY CONFIG.FLP+%2\CONFIG.OLD %2\CONFIG.SYS > NUL
GOTO endscopy

:hardsboot
ECHO Copying CONFIG.SYS to %2\ . . .
IF NOT EXIST %2\CONFIG.SYS GOTO noconfig2h
COPY CONFIG.HRD+%2\CONFIG.OLD %2\CONFIG.SYS > NUL
GOTO endscopy

:noconfig2f
COPY CONFIG.FLP %2\CONFIG.SYS > NUL
GOTO endscopy

:noconfig2h
COPY CONFIG.HRD %2\CONFIG.SYS > NUL
GOTO endscopy

:endscopy
ECHO Copying the rest of the BUFFER STUFFER files to %3 . . .
COPY *.* %3 
IF EXIST BBCTRL.EXE GOTO registered
GOTO endrcopy

:registered
ECHO Copying BBCTRL.EXE to %2\ . . .
COPY BBCTRL.EXE %2\ > NUL

IF NOT EXIST %2\AUTOEXEC.BAT GOTO noauto1
CHKFILES A %2
IF NOT ERRORLEVEL 10 GOTO nextAlevel
COPY %2\AUTOEXEC.BAT %2\AUTOEXEC.OLD > NUL
GOTO noauto1

:nextAlevel
IF NOT ERRORLEVEL 9 GOTO noauto1
ECHO %2\AUTOEXEC.BAT already contains command invoking BBCTRL.EXE . . .
ECHO . . . file not changed.
GOTO endrcopy

:noauto1
FOR %%e IN (c:,C:) DO IF %%e==%2 GOTO hardrboot

ECHO Copying AUTOEXEC.BAT to %2\ . . .
IF NOT EXIST %2\AUTOEXEC.BAT GOTO noauto2f
COPY AUTOEXEC.FLP+%2\AUTOEXEC.OLD %2\AUTOEXEC.BAT > NUL
GOTO endrcopy

:hardrboot
ECHO Copying AUTOEXEC.BAT to %2\ . . .
IF NOT EXIST %2\AUTOEXEC.BAT GOTO noauto2h
COPY AUTOEXEC.HRD+%2\AUTOEXEC.OLD %2\AUTOEXEC.BAT > NUL
GOTO endrcopy

:noauto2f
COPY AUTOEXEC.FLP %2\AUTOEXEC.BAT > NUL
GOTO endrcopy

:noauto2h
COPY AUTOEXEC.HRD %2\AUTOEXEC.BAT > NUL
GOTO endrcopy

:endrcopy
DEL %3\PASSKEYS.COM > NUL
DEL %3\BIGBUFF.BIN > NUL
DEL %3\*.EXE > NUL
ECHO 
ECHO Installation complete!
ECHO 
ECHO IMPORTANT: you will need to reboot your machine in order for BIGBUFF.BIN
ECHO to be loaded into memory.  Before rebooting, however, you may wish to
ECHO print the documentation files.  Be sure your printer is turned on, and
ECHO the paper is aligned at the top of a page.
ECHO 
ECHO If you do NOT wish to print the following *.DOC files, press the
ECHO CTRL-BREAK keys, press ENTER, and then press the "Y" key when
ECHO DOS asks: "Terminate batch job (Y/N)?"
ECHO 
ECHO                  PASSKEYS.DOC           21 pages
ECHO                  BIGBUFF.DOC            14 pages
ECHO                * BBCTRL.DOC              8 pages
ECHO                * BBIOCTL.DOC            16 pages
ECHO 
ECHO * Registered package only.
ECHO 
ECHO If you DO wish to print these *.DOC files, press any key to continue . . .
ECHO 
PAUSE > NUL

CLS
ECHO 
ECHO 
ECHO Printing PASSKEYS.DOC . . .
TYPE PASSKEYS.DOC > PRN
ECHO Printing BIGBUFF.DOC . . .
TYPE BIGBUFF.DOC > PRN
IF NOT EXIST BBCTRL.DOC GOTO regtwo > NUL
ECHO Printing BBCTRL.DOC . . .
TYPE BBCTRL.DOC > PRN

:regtwo
IF NOT EXIST BBIOCTL.DOC GOTO goodend
ECHO Printing BBIOCTL.DOC . . .
TYPE BBIOCTL.DOC > PRN
GOTO goodend

:notboot
ECHO 
ECHO Unable to proceed with installation -
ECHO     This installation program is not equipped to deal with a boot drive
ECHO     other than A: or C:.  Be sure that the second command line argument is
ECHO     indeed your boot drive.  (If you have a boot drive other than A: or C:,
ECHO     you will need to perform the installation manually.  See the files
ECHO     PASSKEYS.DOC and BIGBUFF.DOC for instructions.)
GOTO showsyntax

:wrongdisk
ECHO 
ECHO Unable to proceed with installation -
ECHO          Can't locate BUFFER STUFFER files.  Please log onto the drive
ECHO          containing this diskette before attempting to INSTALL.
GOTO showsyntax

:badhole
ECHO 
ECHO Unable to proceed with installation -
ECHO          One or more drive/directory specifications is unknown to DOS.
GOTO showsyntax

:nocommand
ECHO 
ECHO Unable to proceed with installation -
ECHO          One or more command line argument(s) missing.
GOTO showsyntax

:showsyntax
ECHO 
ECHO Syntax:  INSTALL [from floppy drive] [boot drive] [to program drive/directory]
ECHO 
ECHO Example: If installing from diskette in B: drive to hard drive/directory
ECHO          D:\BUFSTUFF, and if C: drive is the boot drive, then use -
ECHO 
ECHO                        INSTALL B: C: D:\BUFSTUFF
ECHO 
GOTO end

:goodend
ECHO 
ECHO        You will now need to reboot in order for the changes made to your
ECHO        CONFIG.SYS to take effect.
ECHO 
ECHO 
ECHO        If you wish, you may now type REBOOT at the prompt and press ENTER.
ECHO 
FOR %%h IN (a:,A:) DO IF %%h==%2 GOTO flopboot
ECHO        (Be sure to remove the diskette from drive %1 immediately AFTER
ECHO        REBOOT.COM has executed, but before the machine has tried to
ECHO        boot using the floppy diskette instead of your hard drive.)
GOTO end

:flopboot
ECHO        (Be sure to remove this diskette from drive %1 immediately AFTER
ECHO        REBOOT.COM has executed so that you may install your boot diskette
ECHO        before the machine has tried to boot using this floppy diskette.)



:end
ECHO 
